org.apache.fop.fo.properties

## Interface StructureTreeElementHolder

All Known Implementing Classes:
  AbstractGraphics, AbstractPageNumberCitation, BasicLink, Character, ExternalGraphic, InstreamForeignObject, PageNumber, PageNumberCitation, PageNumberCitationLast

    public interface StructureTreeElementHolder

Implementations of this interface can return the element in the document's structure tree that they resulted into. Used for tagged PDF and other formats that support a structure tree in addition to paged content.

### Method Summary

All Methods Instance Methods Abstract Methods
`StructureTreeElement` `getStructureTreeElement()` Returns the element in the document's structure tree that corresponds to this instance.

### Method Detail

#### getStructureTreeElement

    StructureTreeElement getStructureTreeElement()

Returns the element in the document's structure tree that corresponds to this instance.

Returns:
  a structure tree element